/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * Quartz Cron Trigger misfire instruction enum.
 * Quartz >= 1.8.x
 */
Ext.define( 'QDesk.enums.scheduler.quartz.CronTriggerMisfireInstruction', {
  singleton : true,

  IGNORE_MISFIRE_POLICY : 'IGNORE_MISFIRE_POLICY', /* -1, Quartz >= 2.0.0 */
  SMART_POLICY : 'SMART_POLICY', /* 0 */
  FIRE_ONCE_NOW : 'FIRE_ONCE_NOW', /* 1 */
  DO_NOTHING : 'DO_NOTHING'  /* 2 */
} );
