/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * Quartz Simple Trigger misfire instruction enum.
 * Quartz >= 1.8.x
 */
Ext.define( 'QDesk.enums.scheduler.quartz.SimpleTriggerMisfireInstruction', {
  singleton : true,

  /* Simple Trigger */
  IGNORE_MISFIRE_POLICY : 'IGNORE_MISFIRE_POLICY',  /* -1, Quartz >= 2.0.0 */
  SMART_POLICY : 'SMART_POLICY',  /* 0 */
  FIRE_NOW : 'FIRE_NOW',  /* 1 */
  RESCHEDULE_NOW_WITH_EXISTING_REPEAT_COUNT : 'RESCHEDULE_NOW_WITH_EXISTING_REPEAT_COUNT',  /* 2 */
  RESCHEDULE_NOW_WITH_REMAINING_REPEAT_COUNT : 'RESCHEDULE_NOW_WITH_REMAINING_REPEAT_COUNT',  /* 3 */
  RESCHEDULE_NEXT_WITH_REMAINING_COUNT : 'RESCHEDULE_NEXT_WITH_REMAINING_COUNT',  /* 4 */
  RESCHEDULE_NEXT_WITH_EXISTING_COUNT : 'RESCHEDULE_NEXT_WITH_EXISTING_COUNT'  /* 5 */
} );
