/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * A model used for the Application Configuration tree view.
 */
Ext.define( 'QDesk.model.FormNavigationMenuTreeNode', {
  extend : 'Ext.data.Model',
  fields : [
    { name : 'id', type : 'string' },
    { name : 'name', type : 'string'},

  /**
   * Counter of licensed forms bound to this node and all its children nodes.
   */
    { name : 'licensedFormCount', type : 'int', defaultValue : 0},

  /**
   * Counter of invalid forms bound to this node and all its children nodes.
   */
    { name : 'invalidFormCount', type : 'int', defaultValue : 0}
  ]
} );
