/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The Navigation tab data model.
 */
Ext.define( 'QDesk.model.customization.gui.navigation.Tab', {
  extend : 'Ext.data.Model',
  fields : [
    {name : 'itemId', type : 'string', allowNull : false},

    /* CUSTOM, XTYPE*/
    {name : 'type', type : 'string', allowNull : false},

    {name : 'collapsed', type : 'boolean', allowNull : false},
    {name : 'title', type : 'string', allowNull : false},


    /* type = XTYPE */
    {name : 'xtype', type : 'string', allowNull : true},

    /* type = CUSTOM */
    {name : 'node', type : 'auto', allowNull : true}  // list of QDesk.model.customization.gui.navigation.Node instances
  ]
} );
