/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The message attachment data model based on the {@link MessageAttachment} class.
 */
Ext.define( 'QDesk.model.message.MessageAttachment', {
  extend : 'Ext.data.Model',

  fields : [
    { name : 'id', type : 'int', allowNull : true },
    { name : 'name', type : 'string' },
    { name : 'mimeType', type : 'string' },
    { name : 'encoding', type : 'string' },
    { name : 'contents', type : 'string' }
  ]
} );