/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * A model representing the Message Channel Profile.
 */
Ext.define( 'QDesk.model.message.MessageChannelProfile', {
  extend: 'Ext.data.Model',
  fields: [
    /*
     * Common fields.
     */
    { name: 'id', type: 'int', allowNull : true },
    { name: 'name', type: 'string'},

    /* Message channel - see QDesk.enums.message.MessageChannel */
    { name: 'channel', type: 'string'},

    /* Message channel specific configuration */
    { name: 'channelConfig', type: 'auto'}
  ]
} );
