/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The Quartz job execution history data model based on the
 * {@link com.quartzdesk.domain.model.scheduler.ExecHealthIndicator} class.
 */
Ext.define( 'QDesk.model.scheduler.ExecHealthIndicator', {
  extend : 'Ext.data.Model',

  requires : [
    'QDesk.util.constant.DateFormat'
  ],

  fields : [
      /*
       * List of QDesk.model.scheduler.ExecHealthIndicatorEntry instances.
       */
    { name : 'entry', reference : 'auto', allowNull : true }
  ]} );
