/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * An extension of the {@link QDesk.model.scheduler.quartz.QuartzTrigger} class that adds
 * the corresponding jobDetail.
 */
Ext.define( 'QDesk.model.scheduler.quartz.QuartzTriggerWithJobDetail', {
  extend : 'Ext.data.Model',

  requires : [
  ],

  fields : [
    { name : 'trigger', reference : 'scheduler.quartz.QuartzTrigger' },

    { name : 'jobDetail', reference : 'scheduler.quartz.QuartzJobDetail' }
  ]
} );
