/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.enums.ExpressionLanguageStore', {
  extend: 'Ext.data.Store',

  requires: [
    'QDesk.enums.ExpressionLanguage',
    'QDesk.util.EnumUtils'
  ],

  storeId: 'enums.ExpressionLanguageStore',

  fields: ['value', 'valueLabel'],

  constructor: function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      data: [
        {
          value: QDesk.enums.ExpressionLanguage.JAVASCRIPT,
          valueLabel: QDesk.util.EnumUtils.getExpressionLanguageName( QDesk.enums.ExpressionLanguage.JAVASCRIPT )
        }
      ]
    } );

    me.callParent( [config] );
  }
} );