/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.enums.MessageReceiverWSVersionStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.enums.MessageReceiverWSVersion',
    'QDesk.util.EnumUtils'
  ],

  storeId : 'enums.MessageReceiverWSVersionStore',

  fields : ['value', 'valueLabel'],

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      data : [
        {
          value : QDesk.enums.MessageReceiverWSVersion.V5_0,
          valueLabel : QDesk.util.EnumUtils.getMessageReceiverWSVersionName( QDesk.enums.MessageReceiverWSVersion.V5_0 )
        }
      ]
    } );

    me.callParent( [config] );
  }
} );