/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.Viewport', {
  extend : 'Ext.container.Viewport',

  requires : [
    'QDesk.view.main.MainTabPanel',
    'QDesk.view.navigation.NavigationPanel',
    'QDesk.view.top.TopContainer'
  ],

  border : 1,

  layout : {
    type : 'border'
  },

  items : [
    {
      xtype : 'TopContainer',
      itemId : 'topContainer',
      region : 'north',
      height : 35,
      maxHeight : 35,
      minHeight : 35
    },
    {
      xtype : 'NavigationPanel',
      itemId : 'navigationPanel',
      region : 'west',
      split : true,
      collapsible : true,
      width : 230,
      minHeight : 100
    },
    {
      xtype : 'MainTabPanel',
      itemId : 'mainTabPanel',
      region : 'center'
    }
  ],

  initComponent : function ()
  {
    var me = this;
    me.callParent();
  }
} );