/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.navigation.help.about.AboutWindow', {
  extend : 'Ext.window.Window',

  requires : [
    'QDesk.view.navigation.help.about.AboutForm',
    'QDesk.Msg'
  ],

  alias : 'widget.AboutWindow',

  cls : 'aboutWindow',

  modal : true,
  resizable : false,

  border : false,

  header : false,

  width : 420,

  items : [
    {
      xtype : 'AboutForm',
      itemId : 'aboutForm',
      // top padding for the QuartzDesk logo
      padding : '60 0 0 0'
    }
  ],

  constructor : function ( config )
  {
    var me = this;

    config = config || {};
    me.callParent( [config] );
  }
} );
