/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * Quartz trigger type enum.
 * Based on com.quartzdesk.domain.model.scheduler.quartz.TriggerType
 */
Ext.define( 'QDesk.enums.scheduler.quartz.TriggerType', {
  singleton : true,

  SIMPLE : 'SIMPLE',
  CRON : 'CRON',

  // >= 2.0.0
  CALENDAR_INTERVAL : 'CALENDAR_INTERVAL',
  // >= 2.1.0
  DAILY_TIME_INTERVAL : 'DAILY_TIME_INTERVAL',

  // <= 1.8.x
  DATE_INTERVAL : 'DATE_INTERVAL',
  // <= 1.8.x
  NTH_INCLUDED_DAY : 'NTH_INCLUDED_DAY'
} );
