/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The locale data model.
 */
Ext.define( 'QDesk.model.Locale', {
  extend : 'Ext.data.Model',
  fields : [

    { name : 'id', type : 'string', allowNull : true },

    { name : 'country', type : 'string', allowNull : true},
    { name : 'displayCountry', type : 'string', allowNull : true},

    { name : 'language', type : 'string', allowNull : true},
    { name : 'displayLanguage', type : 'string', allowNull : true},

    { name : 'variant', type : 'string', allowNull : true},
    { name : 'displayVariant', type : 'string', allowNull : true},

    /* Flag indicating whether the locale is the current GUI locale. */
    { name : 'isCurrent', type : 'boolean', allowNull : true}
  ]} );
