/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The SchedulerConnection data model.
 */
Ext.define( 'QDesk.model.SchedulerConnection', {
  extend : 'Ext.data.Model',

  requires : [
    'QDesk.util.constant.DateFormat'
  ],

  fields : [
    {name : 'id', type : 'int', allowNull : true},

    {name : 'createdAt', type : 'date', dateFormat : QDesk.util.constant.DateFormat.timestampFormatIso8601},
    {name : 'updatedAt', type : 'date', dateFormat : QDesk.util.constant.DateFormat.timestampFormatIso8601},

    {name : 'name', type : 'string'},

    /*
     * QDesk.model.RemoteJmxService type.
     */
    {name : 'remoteJmxService', type : 'auto'},

    {name : 'schedulerObjectName', type : 'string'},
    {name : 'schedulerType', type : 'string'},

    /* auto type */
    {name : 'configEntry', type : 'auto'}
  ]
} );
