/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * A custom node in the navigation panel.
 */
Ext.define( 'QDesk.model.customization.gui.navigation.Node', {
  extend : 'Ext.data.Model',

  requires : [
    'QDesk.model.customization.gui.navigation.Link'
  ],

  fields : [
    {name : 'id', type : 'string', allowNull : false},
    {name : 'title', type : 'string', allowNull : false},

    {name : 'iconUrl', type : 'string', allowNull : true},
    {name : 'iconCls', type : 'string', allowNull : true},

    /* LINK, ... */
    {name : 'type', type : 'string', allowNull : false},

    /* type = LINK */
    {name : 'link', reference : 'customization.gui.navigation.Link', allowNull : false}
  ]
} );
