/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * Common base class for form panels.
 */
Ext.define( 'QDesk.view.base.BaseFormPanel', {
  extend : 'Ext.form.Panel',

  bodyPadding : 10,

  //layout : 'anchor',  // anchor is the default layout for form panels

  defaults : {
    anchor : '100%'
  },

  fieldDefaults : {
    msgTarget : 'side'
  },

  /**
   * Invoked when the component is initialized.
   */
  initComponent : function ()
  {
    var me = this;

    me.callParent();
  }
} );
