/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * Date picker that is used to select a date. Upon activation this picker
 * reset the maximum selectable date to the current date.
 */
Ext.define( 'QDesk.view.widget.MaxTodayDateField', {
  extend : 'Ext.form.field.Date',

  alias : 'widget.MaxTodayDateField',

  initComponent : function ()
  {
    var me = this;

    me.callParent();

    me.on( 'expand', function ()
    {
      //QDesk.Log.debug( 'Setting max fetch date to current date.' );
      me.setMaxValue( new Date() );
    } );
  }
} );
